
Redmine - Feature #1454

Support repository syncing for new repository imports

2008-06-15 02:36 - Tim Hawkins

Status: New Start date: 2008-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When used with automatic repository creation mode, it would be a nice feature to have the repository generated using svnsync from

a URL and credentials, this would allow people to migrate projects fropm other systems into redmine system complete with history.

This would require the following steps

1. Create the repository as normal

2. Change the pre-revprop-change hook to allow only one user to write (see svnsync docs)

3. Run svnsync with destination repository, credentials and URL.

4. When completed, remove pre-revprop-change hook

Hook files and auth files are not migrated with svnsync so the repository would then work correctly with the perl svn auth library.

Related issues:

Related to Redmine - Patch #2173: Update the Git repository automatically Needs feedback2008-11-13 2013-04-01

History

#1 - 2011-01-18 07:00 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-03-29 05:58 - Toshi MARUYAMA

- Category changed from SCM to SCM extra
